Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000470Frama-CGraphical User Interfacepublic2010-05-05 18:462014-02-12 16:55
Reporterpascal 
Assigned Topascal 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000470: In the GUI, it is impossible to talk about variables generated by Value's -lib-entry
Description"evaluate expression", "occurrences" and "Show defs", for instance, when tried on such a variable, emit the error message "Invalid expression: Logic_interp.Error(_, "Unbound variable star_CompositionPage")"

Additional InformationTo leave public.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000810)
pascal (reporter)
2010-05-05 18:51

To reproduce:

int x, *q;

main(int *p)
{
  q = p;
  *q = 12;
  x = *q;
}

frama-c-gui -val t.c

Try observing value of star_p.
(0000811)
monate (reporter)
2010-05-06 01:17

star_p is not a C variable: its only occurence is in the results of the value analysis. It should probably be pretty printed '*p'.
(0000812)
pascal (reporter)
2010-05-06 09:55

I was not talking about pretty_printing. I do not think that typing "*p" in the entry field of the "evaluate expression" dialog will give the user quite what he wants, not to mention that this "name" is not used anywhere else and has to be guessed.

I assigned this bug to myself.
(0000813)
pascal (reporter)
2010-05-06 10:10

FWIW, I tried to evaluate "*p" (that is I tried making the field that used to contain "*p" contain a name, then I tried that name), and it doesn't seem to have anything to do with the problem.
(0000814)
monate (reporter)
2010-05-06 11:13

Ok, I was not looking at the right issue indeed.

- Issue History
Date Modified Username Field Change
2010-05-05 18:46 pascal New Issue
2010-05-05 18:46 pascal Status new => assigned
2010-05-05 18:46 pascal Assigned To => monate
2010-05-05 18:51 pascal Note Added: 0000810
2010-05-06 01:17 monate Note Added: 0000811
2010-05-06 09:53 pascal Assigned To monate => pascal
2010-05-06 09:55 pascal Note Added: 0000812
2010-05-06 10:10 pascal Note Added: 0000813
2010-05-06 11:13 monate Note Added: 0000814
2010-05-06 12:51 svn Checkin
2010-05-06 14:54 svn Checkin
2010-05-06 14:54 svn Status assigned => resolved
2010-05-06 14:54 svn Resolution open => fixed
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker